<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Formula (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Formula (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":10,"i3":10,"i4":10,"i5":10,"i6":9,"i7":10,"i8":9,"i9":9,"i10":10,"i11":10,"i12":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Formula.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/formula/ExternSheetReferenceToken.html"
               title="interface in org.apache.poi.ss.formula"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/formula/FormulaParseException.html"
               title="class in org.apache.poi.ss.formula"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/formula/Formula.html" target="_top">Frames</a></li>
        <li><a href="Formula.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.formula</div>
    <h2 title="Class Formula" class="title">Class Formula</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ss.formula.Formula</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">Formula</span>
extends java.lang.Object</pre>
                <div class="block">Encapsulates an encoded formula token array.</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Josh Micich</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/Formula.html"
                                        title="class in org.apache.poi.ss.formula">Formula</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/Formula.html#copy--">copy</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/formula/Formula.html"
                                        title="class in org.apache.poi.ss.formula">Formula</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/Formula.html#create-org.apache.poi.ss.formula.ptg.Ptg:A-">create</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;ptgs)</code>
                                    <div class="block">Creates a <a
                                            href="../../../../../org/apache/poi/ss/formula/Formula.html"
                                            title="class in org.apache.poi.ss.formula"><code>Formula</code></a> object
                                        from a supplied <a href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                                           title="class in org.apache.poi.ss.formula.ptg"><code>Ptg</code></a>
                                        array.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/Formula.html#getEncodedSize--">getEncodedSize</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/Formula.html#getEncodedTokenSize--">getEncodedTokenSize</a></span>()</code>
                                    <div class="block">This method is often used when the formula length does not appear
                                        immediately before
                                        the encoded token data.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                        title="class in org.apache.poi.ss.util">CellReference</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/Formula.html#getExpReference--">getExpReference</a></span>()</code>
                                    <div class="block">Gets the locator for the corresponding <a
                                            href="../../../../../org/apache/poi/hssf/record/SharedFormulaRecord.html"
                                            title="class in org.apache.poi.hssf.record"><code>SharedFormulaRecord</code></a>,
                                        <a href="../../../../../org/apache/poi/hssf/record/ArrayRecord.html"
                                           title="class in org.apache.poi.hssf.record"><code>ArrayRecord</code></a> or
                                        <a href="../../../../../org/apache/poi/hssf/record/TableRecord.html"
                                           title="class in org.apache.poi.hssf.record"><code>TableRecord</code></a>
                                        if this formula belongs to such a grouping.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/Formula.html#getTokens--">getTokens</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/Formula.html#getTokens-org.apache.poi.ss.formula.Formula-">getTokens</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/Formula.html"
                                        title="class in org.apache.poi.ss.formula">Formula</a>&nbsp;formula)</code>
                                    <div class="block">Gets the <a
                                            href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                            title="class in org.apache.poi.ss.formula.ptg"><code>Ptg</code></a> array
                                        from the supplied <a
                                                href="../../../../../org/apache/poi/ss/formula/Formula.html"
                                                title="class in org.apache.poi.ss.formula"><code>Formula</code></a>.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/Formula.html#isSame-org.apache.poi.ss.formula.Formula-">isSame</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/Formula.html"
                                        title="class in org.apache.poi.ss.formula">Formula</a>&nbsp;other)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/formula/Formula.html"
                                        title="class in org.apache.poi.ss.formula">Formula</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/Formula.html#read-int-org.apache.poi.util.LittleEndianInput-">read</a></span>(int&nbsp;encodedTokenLen,
                                    <a href="../../../../../org/apache/poi/util/LittleEndianInput.html"
                                       title="interface in org.apache.poi.util">LittleEndianInput</a>&nbsp;in)</code>
                                    <div class="block">Convenience method for <a
                                            href="../../../../../org/apache/poi/ss/formula/Formula.html#read-int-org.apache.poi.util.LittleEndianInput-int-"><code>read(int,
                                        LittleEndianInput, int)</code></a></div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/formula/Formula.html"
                                        title="class in org.apache.poi.ss.formula">Formula</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/Formula.html#read-int-org.apache.poi.util.LittleEndianInput-int-">read</a></span>(int&nbsp;encodedTokenLen,
                                    <a href="../../../../../org/apache/poi/util/LittleEndianInput.html"
                                       title="interface in org.apache.poi.util">LittleEndianInput</a>&nbsp;in,
                                    int&nbsp;totalEncodedLen)</code>
                                    <div class="block">When there are no array constants present,
                                        <tt>encodedTokenLen</tt>==<tt>totalEncodedLen</tt></div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/Formula.html#serialize-org.apache.poi.util.LittleEndianOutput-">serialize</a></span>(<a
                                        href="../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                        title="interface in org.apache.poi.util">LittleEndianOutput</a>&nbsp;out)</code>
                                    <div class="block">Writes The formula encoding is includes:

                                        ushort tokenDataLen
                                        tokenData
                                        arrayConstantData (if present)
                                    </div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/Formula.html#serializeArrayConstantData-org.apache.poi.util.LittleEndianOutput-">serializeArrayConstantData</a></span>(<a
                                        href="../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                        title="interface in org.apache.poi.util">LittleEndianOutput</a>&nbsp;out)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/Formula.html#serializeTokens-org.apache.poi.util.LittleEndianOutput-">serializeTokens</a></span>(<a
                                        href="../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                        title="interface in org.apache.poi.util">LittleEndianOutput</a>&nbsp;out)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="read-int-org.apache.poi.util.LittleEndianInput-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>read</h4>
                                <pre>public static&nbsp;<a href="../../../../../org/apache/poi/ss/formula/Formula.html"
                                                           title="class in org.apache.poi.ss.formula">Formula</a>&nbsp;read(int&nbsp;encodedTokenLen,
                           <a href="../../../../../org/apache/poi/util/LittleEndianInput.html"
                              title="interface in org.apache.poi.util">LittleEndianInput</a>&nbsp;in)</pre>
                                <div class="block">Convenience method for <a
                                        href="../../../../../org/apache/poi/ss/formula/Formula.html#read-int-org.apache.poi.util.LittleEndianInput-int-"><code>read(int,
                                    LittleEndianInput, int)</code></a></div>
                            </li>
                        </ul>
                        <a name="read-int-org.apache.poi.util.LittleEndianInput-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>read</h4>
                                <pre>public static&nbsp;<a href="../../../../../org/apache/poi/ss/formula/Formula.html"
                                                           title="class in org.apache.poi.ss.formula">Formula</a>&nbsp;read(int&nbsp;encodedTokenLen,
                           <a href="../../../../../org/apache/poi/util/LittleEndianInput.html"
                              title="interface in org.apache.poi.util">LittleEndianInput</a>&nbsp;in,
                           int&nbsp;totalEncodedLen)</pre>
                                <div class="block">When there are no array constants present, <tt>encodedTokenLen</tt>==<tt>totalEncodedLen</tt>
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>encodedTokenLen</code> - number of bytes in the stream taken by the plain
                                        formula tokens
                                    </dd>
                                    <dd><code>totalEncodedLen</code> - the total number of bytes in the formula
                                        (includes trailing encoding
                                        for array constants, but does not include 2 bytes for initial <tt>ushort
                                            encodedTokenLen</tt> field.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>A new formula object as read from the stream. Possibly empty, never
                                        <code>null</code>.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTokens--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTokens</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                                    title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;getTokens()</pre>
                            </li>
                        </ul>
                        <a name="serialize-org.apache.poi.util.LittleEndianOutput-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>serialize</h4>
                                <pre>public&nbsp;void&nbsp;serialize(<a
                                        href="../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                        title="interface in org.apache.poi.util">LittleEndianOutput</a>&nbsp;out)</pre>
                                <div class="block">Writes The formula encoding is includes:
                                    <ul>
                                        <li>ushort tokenDataLen</li>
                                        <li>tokenData</li>
                                        <li>arrayConstantData (if present)</li>
                                    </ul>
                                </div>
                            </li>
                        </ul>
                        <a name="serializeTokens-org.apache.poi.util.LittleEndianOutput-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>serializeTokens</h4>
                                <pre>public&nbsp;void&nbsp;serializeTokens(<a
                                        href="../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                        title="interface in org.apache.poi.util">LittleEndianOutput</a>&nbsp;out)</pre>
                            </li>
                        </ul>
                        <a name="serializeArrayConstantData-org.apache.poi.util.LittleEndianOutput-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>serializeArrayConstantData</h4>
                                <pre>public&nbsp;void&nbsp;serializeArrayConstantData(<a
                                        href="../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                        title="interface in org.apache.poi.util">LittleEndianOutput</a>&nbsp;out)</pre>
                            </li>
                        </ul>
                        <a name="getEncodedSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEncodedSize</h4>
                                <pre>public&nbsp;int&nbsp;getEncodedSize()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>total formula encoding length. The formula encoding includes:
                                        <ul>
                                            <li>ushort tokenDataLen</li>
                                            <li>tokenData</li>
                                            <li>arrayConstantData (optional)</li>
                                        </ul>
                                        Note - this value is different to <tt>tokenDataLength</tt></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getEncodedTokenSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEncodedTokenSize</h4>
                                <pre>public&nbsp;int&nbsp;getEncodedTokenSize()</pre>
                                <div class="block">This method is often used when the formula length does not appear
                                    immediately before
                                    the encoded token data.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the encoded length of the plain formula tokens. This does <em>not</em> include
                                        the leading ushort field, nor any trailing array constant data.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="create-org.apache.poi.ss.formula.ptg.Ptg:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>create</h4>
                                <pre>public static&nbsp;<a href="../../../../../org/apache/poi/ss/formula/Formula.html"
                                                           title="class in org.apache.poi.ss.formula">Formula</a>&nbsp;create(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;ptgs)</pre>
                                <div class="block">Creates a <a
                                        href="../../../../../org/apache/poi/ss/formula/Formula.html"
                                        title="class in org.apache.poi.ss.formula"><code>Formula</code></a> object from
                                    a supplied <a href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                                  title="class in org.apache.poi.ss.formula.ptg"><code>Ptg</code></a>
                                    array.
                                    Handles <code>null</code>s OK.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>ptgs</code> - may be <code>null</code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Never <code>null</code> (Possibly empty if the supplied <tt>ptgs</tt> is <code>null</code>)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTokens-org.apache.poi.ss.formula.Formula-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTokens</h4>
                                <pre>public static&nbsp;<a href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                                           title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;getTokens(<a
                                        href="../../../../../org/apache/poi/ss/formula/Formula.html"
                                        title="class in org.apache.poi.ss.formula">Formula</a>&nbsp;formula)</pre>
                                <div class="block">Gets the <a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg"><code>Ptg</code></a> array from
                                    the supplied <a href="../../../../../org/apache/poi/ss/formula/Formula.html"
                                                    title="class in org.apache.poi.ss.formula"><code>Formula</code></a>.
                                    Handles <code>null</code>s OK.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>formula</code> - may be <code>null</code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>possibly <code>null</code> (if the supplied <tt>formula</tt> is
                                        <code>null</code>)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="copy--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>copy</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/Formula.html"
                                                    title="class in org.apache.poi.ss.formula">Formula</a>&nbsp;copy()</pre>
                            </li>
                        </ul>
                        <a name="getExpReference--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExpReference</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                                    title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;getExpReference()</pre>
                                <div class="block">Gets the locator for the corresponding <a
                                        href="../../../../../org/apache/poi/hssf/record/SharedFormulaRecord.html"
                                        title="class in org.apache.poi.hssf.record"><code>SharedFormulaRecord</code></a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/ArrayRecord.html"
                                       title="class in org.apache.poi.hssf.record"><code>ArrayRecord</code></a> or <a
                                            href="../../../../../org/apache/poi/hssf/record/TableRecord.html"
                                            title="class in org.apache.poi.hssf.record"><code>TableRecord</code></a>
                                    if this formula belongs to such a grouping. The <a
                                            href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                            title="class in org.apache.poi.ss.util"><code>CellReference</code></a>
                                    returned by this method will match the top left corner of the range of that
                                    grouping.
                                    The return value is usually not the same as the location of the cell containing this
                                    formula.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the firstRow &amp; firstColumn of an array formula or shared formula that this
                                        formula
                                        belongs to. <code>null</code> if this formula is not part of an array or shared
                                        formula.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isSame-org.apache.poi.ss.formula.Formula-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>isSame</h4>
                                <pre>public&nbsp;boolean&nbsp;isSame(<a
                                        href="../../../../../org/apache/poi/ss/formula/Formula.html"
                                        title="class in org.apache.poi.ss.formula">Formula</a>&nbsp;other)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Formula.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/formula/ExternSheetReferenceToken.html"
               title="interface in org.apache.poi.ss.formula"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/formula/FormulaParseException.html"
               title="class in org.apache.poi.ss.formula"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/formula/Formula.html" target="_top">Frames</a></li>
        <li><a href="Formula.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
